% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cache_current_gwascat.R
\name{get_cached_gwascat}
\alias{get_cached_gwascat}
\title{use BiocFileCache to retrieve and keep an image of the tsv file distributed by EBI}
\usage{
get_cached_gwascat(
  url = "http://www.ebi.ac.uk/gwas/api/search/downloads/alternative",
  cache = BiocFileCache::BiocFileCache(),
  refresh = FALSE,
  ...
)
}
\arguments{
\item{url}{character(1) url to use}

\item{cache}{BiocFileCache::BiocFileCache instance}

\item{refresh}{logical(1) force download and recaching}

\item{\dots}{passed to bfcadd}
}
\value{
a tibble as produced by readr::read_tsv, with attributes extractDate (as
recorded in cache as `access_time`, and problems (a tibble returned by read_tsv).
}
\description{
use BiocFileCache to retrieve and keep an image of the tsv file distributed by EBI
}
\note{
will If query of cache with 'ebi.ac.uk/gwas' returns 0-row tibble,
will populate cache with bfcadd.  Uses readr::read_tsv on cache content to return tibble.
The etag field does not seem to be used at EBI, thus user must check for updates.
}
